/*	Javascript code for all elements
/*----------------------------------------------------*/
$(document).ready(function() {
	initMap(".map");
});

/* -------- Tooltip -------- */
$(function () {
	$('[data-toggle="tooltip"]').tooltip()
});
// End Tooltip

/* -------- Google Map -------- */
function initMap(elem) {

	if($(elem).length==0){
		return 0;
	};

	//Map start init
    var mapOptions = {
        center: new google.maps.LatLng(35.6110146,139.6296182),
        zoom: 17,
        zoomControl: true,
        zoomControlOptions: {
            style: google.maps.ZoomControlStyle.DEFAULT,
        },
        disableDoubleClickZoom: false,
        mapTypeControl: true,
        mapTypeControlOptions: {
            style: google.maps.MapTypeControlStyle.DROPDOWN_MENU,
        },
        scaleControl: true,
        scrollwheel: false,
        streetViewControl: true,
        draggable : true,
        overviewMapControl: false,
        mapTypeId: google.maps.MapTypeId.ROADMAP,
		styles: [{elementType:"labels.text.stroke",stylers:[{visibility:"off"}]},{featureType:"poi.business",elementType:"labels.text",stylers:[{visibility:"off"}]},{featureType:"poi.business",elementType:"labels.icon",stylers:[{visibility:"off"}]},{featureType:"poi.place_of_worship",elementType:"labels.text",stylers:[{visibility:"off"}]},{featureType:"poi.place_of_worship",elementType:"labels.icon",stylers:[{visibility:"off"}]},{featureType:"road",elementType:"geometry",stylers:[{visibility:"simplified"}]}]
		}
                    
    var map = new google.maps.Map(document.getElementById('map'),mapOptions);
    var marker = new google.maps.Marker({
    	icon: 'images/map-pin.png',
        map: map,
        position: map.getCenter() 
    });
    // Resize google map...
    google.maps.event.addDomListener(window, "resize", function () {
        var center = map.getCenter();
        google.maps.event.trigger(map, "resize");
        map.setCenter(center);
    });
}
//end Google Map



/* -------- Header 1 Nav -------- */
$(".headroom").headroom({
});
